Skip to content

BIO3000 Analysis endpoints

List BIO3000 analyses

GET /analysis — get a list of BIO3000 analyses

Returns a list of BIO3000 analysis.

Parameters

Tip

[__<field_lookup>] is optional. So, for example, label=aaa is a valid query parameter. See Field Lookups for a more detailed explanation.

Parameter Type Required Description
label[__<field_lookup>] string Optional Analysis label that needs to be considered for filter
local_timestamp[__<field_lookup>] string Optional Analysis date and time. A 'YYYY-MM-DD' or 'YYYY-MM-DDTHH:MM:SS' formatted datetime string
post_time[__<field_lookup>] string Optional Date and time when the analysis was posted to the server. A 'YYYY-MM-DD' or 'YYYY-MM-DDTHH:MM:SS' formatted datetime string
extra__<field_name>[__<field_lookup>] string Optional Customer defined fields. The extra field is a JSON document stored in the database. You can filter by specific keys/values, e.g. if a customer stores {"batch": "0001"}, you can query with extra__batch=0001
page integer Optional Together with page_size (defaults to 10), paginates the results. The response type changes when results are paginated (see below)
ordering string Optional Overrides the default order. Accepted values: label, local_timestamp, post_time. Reverse order with a hyphen, e.g. -label

Responses

curl -X GET \
  'https://api.biolanglobal.com/biolan/data/api/analysis?label=myanalysis' \
  -H 'Authorization: Bearer {token}' \
  -H 'accept: application/json'
[
  {
    "id": "1636633400329333eb795-4aaa-4763-ba6b-40ab979ea2d0",
    "localTimestamp": "2021-11-11T13:23:20.329000+01:00",
    "postTime": "2021-11-15T23:59:01.430431+01:00",
    "label": "myanalysis",
    "result": 10.397621510361,
    "extra": {"batch": "0001"},
    "m": 159067.871559633,
    "b": 1.42454128440367,
    "r": 0.999660629694949
  }
]
{
  "links": {
    "next": "https://api.biolanglobal.com/biolan/data/api/analysis?page=1&page_size=10",
    "previous": null
  },
  "results": [
    {
      "id": "1636633400329333eb795-4aaa-4763-ba6b-40ab979ea2d0",
      "localTimestamp": "2021-11-11T13:23:20.329000+01:00",
      "postTime": "2021-11-15T23:59:01.430431+01:00",
      "label": "myanalysis",
      "result": 10.397621510361,
      "extra": {"batch": "0001"},
      "m": 159067.871559633,
      "b": 1.42454128440367,
      "r": 0.999660629694949
    }
  ],
}

Get BIO3000 analysis by id

GET /analysis/{analysisId} — find BIO3000 analysis by id

Returns a single BIO3000 analysis.

Parameters

Parameter Type Required Description
analysisId string Required Analysis unique identifier

Responses

curl -X GET \
  'https://api.biolanglobal.com/biolan/data/api/analysis/1636633400329333eb795-4aaa-4763-ba6b-40ab979ea2d0' \
  -H 'Authorization: Bearer {token}' \
  -H 'accept: application/json'
{
  "id": "1636633400329333eb795-4aaa-4763-ba6b-40ab979ea2d0",
  "localTimestamp": "2021-11-11T13:23:20.329000+01:00",
  "postTime": "2021-11-15T23:59:01.430431+01:00",
  "label": "myanalysis",
  "result": 10.397621510361,
  "extra": {"batch": "0001"},
  "m": 159067.871559633,
  "b": 1.42454128440367,
  "r": 0.999660629694949
}
{"detail": "Not found."}